{% extends "views/default/base.html" %}

{% load static %}

{% block title %}YUYITOS | Crédito{% endblock %}
{% block css %}
       
{% endblock css %}

{% block content %}
{% if user.is_staff or request.user.user_profile == 'operador' %}
        <div class="wrapper">
            
            <!-- Navbar -->
            {% include "views/default/header.html" %}
            <!-- /.navbar -->
            <!-- Main Sidebar Container -->
            {% include "views/default/menu.html" %}
           <!-- /.sidebar -->
            <div class="content-wrapper">
                <!-- Content Header (Page header) -->
                <div class="content-header">
                    <div class="container-fluid">
                        <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-dark">Administración de Créditos - Registro de Fiados</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                    <li class="breadcrumb-item"><a href="#">Clientes</a></li>
                                    <li class="breadcrumb-item active">Ventas al Crédito</li>
                                </ol>
                            </div><!-- /.col -->
                        </div><!-- /.row -->
                    </div><!-- /.container-fluid -->
                </div>
                <!-- /.content-header -->
                <!-- Main content -->
                <section class="content">
                    
                    <div class="row">
                        <div class="col-12">
                            <div class="card card-primary card-outline card-outline-tabs">
                                <div class="card-header p-0 border-bottom-0">
                                    <ul class="nav nav-tabs" id="custom-tabs-four-tab" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link active" id="custom-tabs-four-home-tab" data-toggle="pill" href="#custom-tabs-four-vigente" role="tab" aria-controls="custom-tabs-four-home" aria-selected="true">Vigentes</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="custom-tabs-four-profile-tab" data-toggle="pill" href="#custom-tabs-four-finalizado" role="tab" aria-controls="custom-tabs-four-profile" aria-selected="false">Finalizados</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="card-body">
                                    <div class="tab-content" id="custom-tabs-four-tabContent">
                                        <div class="tab-pane fade show active" id="custom-tabs-four-vigente" role="tabpanel" aria-labelledby="custom-tabs-four-home-tab">
                                            <table id="data" class="table table-bordered table-striped">
                                                <thead class="bg-info">
                                                    <tr>
                                                        <th>Crédito</th>
                                                        <th>Estado</th>
                                                        <th>Fecha</th>
                                                        <th>Venta</th>
                                                        <th>Monto</th>
                                                        <th>Restante</th>
                                                        <th>Cliente</th>
                                                        <th>Opciones</th>
                                                    </tr>
                                                </thead>
                                                
                                           
                                            </table>
                                        </div>
                                        <div class="tab-pane fade" id="custom-tabs-four-finalizado" role="tabpanel" aria-labelledby="custom-tabs-four-profile-tab">
                                            <table id="datafin" class="table table-bordered table-striped">
                                                <thead class="bg-info">
                                                    <tr>
                                                        <th>Crédito</th>
                                                        <th>Estado</th>
                                                        <th>Fecha</th>
                                                        <th>Venta</th>
                                                        <th>Monto</th>
                                                        <th>Restante</th>
                                                        <th>Cliente</th>
                                                        <th>Opciones</th>
                                                    </tr>
                                                </thead>
                                                
                                           
                                            </table>
                                        </div>
                                    </div>
                                </div>
                            </div>  
                        </div>
                    </div>
                     <!-- /.modal -->
                     <div class="modal fade" id="modalAbonar" tabindex="-1" role="dialog" aria-labelledby="abonomodal" aria-hidden="true">
                        <form method="POST" action="." enctype="multipart/form-data" class="form-horizontal">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h4 class="modal-title" id="abonomodal">Abonar Crédito</h4>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                            <div class="card-body">
                                                {% csrf_token %}
                                              <div class="form-group">
                                                <input name="action" type="hidden" value="add">
                                                <label>Monto Abono</label>
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                    <span class="input-group-text">
                                                        <i>{{empresa.simbolo_moneda}}</i>
                                                    </span>
                                                    </div>
                                                    {{ form.abonado }}
                                                </div>
                                                <br>
                                                <label>Crédito Asociado</label>
                                                <input name="id" type="text" readonly value="0" class="form-control">
                                              </div>
                                            </div>
                                    </div>
                                    <div class="modal-footer justify-content-between">
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
                                        <button type="submit" class="btn btn-success"><i class="fas fa-save"></i> Guardar Registro</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                        
                        <!-- /.modal-dialog -->
                    </div>
                    <!-- /.modal -->
                    <div class="modal fade" id="myModelDet" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
                        <div class="modal-dialog modal-lg" role="document">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <h5 class="modal-title" id="exampleModalLabel"><b><i class="ion ion-cash"></i>  Consulta de
                                        detalle de abonos</b></h5>
                                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                                <div class="modal-body">
                                    <table class="table table-bordered" id="tblDet">
                                        <thead class="bg-info">
                                        <tr>
                                            <th>Id abono</th>
                                            <th>Abonado</th>
                                            <th>Fecha de registro</th>
                                        </tr>
                                        </thead>
                                        <tbody>
                                        </tbody>
                                    </table>
                                </div>
                            </div>
                        </div>
                    </div>
                </section>
                <!-- /.content -->
            </div>
            {% include "views/default/footer.html" %}

           
        </div>
        <!-- ./wrapper -->
        {% endif %}
        <!-- REQUIRED SCRIPTS -->
        {% endblock content %}
        {% block js %}
        <script src="{% static 'dist/js/pages/list_cre.js' %}"></script>
        <script>
            function message_error(obj) {
                var html = '';
                if (typeof (obj) === 'object') {
                    html = '<ul style="text-align: left;">';
                    $.each(obj, function (key, value) {
                        html += '<li>' + key + ': ' + value + '</li>';
                    });
                    html += '</ul>';
                } else {
                    html = '<p>' + obj + '</p>';
                }
                Swal.fire({
                    title: 'Error!',
                    html: html,
                    icon: 'error'
                });
            }
            function submit_with_ajaxx(url, title, content, parameters, callback) {
                $.confirm({
                    theme: 'material',
                    title: title,
                    icon: 'fa fa-info',
                    content: content,
                    columnClass: 'small',
                    typeAnimated: true,
                    cancelButtonClass: 'btn-primary',
                    draggable: true,
                    dragWindowBorder: false,
                    buttons: {
                        info: {
                            text: "Si",
                            btnClass: 'btn-primary',
                            action: function () {
                                $.ajax({
                                    url: url, //window.location.pathname
                                    type: 'POST',
                                    data: parameters,
                                    dataType: 'json',
                                    processData: false,
                                    contentType: false,
                                }).done(function (data) {
                                    console.log(data);
                                    if (!data.hasOwnProperty('error')) {
                                        callback(data);
                                        return false;
                                    }
                                    message_error('No puede abonar más de lo que debe.');
                                }).fail(function (jqXHR, textStatus, errorThrown) {
                                    alert(textStatus + ': ' + errorThrown);
                                }).always(function (data) {

                                });
                            }
                        },
                        danger: {
                            text: "No",
                            btnClass: 'btn-red',
                            action: function () {

                            }
                        },
                    }
                })
            }


            function alert_action(title, content, callback, cancel) {
                $.confirm({
                    theme: 'material',
                    title: title,
                    icon: 'fa fa-info',
                    content: content,
                    columnClass: 'small',
                    typeAnimated: true,
                    cancelButtonClass: 'btn-primary',
                    draggable: true,
                    dragWindowBorder: false,
                    buttons: {
                        info: {
                            text: "Si",
                            btnClass: 'btn-primary',
                            action: function () {
                                callback();
                            }
                        },
                        danger: {
                            text: "No",
                            btnClass: 'btn-red',
                            action: function () {
                                cancel();
                            }
                        },
                    }
                })
            }
            $('form').on('submit', function (e) {
                e.preventDefault();
                var parameters = new FormData(this);
                submit_with_ajaxx(window.location.pathname, 'Notificación', '¿Estas seguro de realizar la siguiente acción?', parameters, function () {
                    location.reload();
                });
                
            });
        </script>
        {% if messages %}
            {% for message in messages %}
                {% if message.tags == 'success'%}
                <script type=text/javascript>
                    toastr.{{ message.tags }}('{{ message }}')               
                </script>
                {% endif %}
            {% endfor %}
        {% endif %}
        {% endblock js %}